## ros-kinetic-gazebo-ros-control 2.5.21

=== debian/changelog ===
ros-kinetic-gazebo-ros-control (2.5.21-1xenial) xenial; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Mon, 05 Apr 2021 17:30:28 -0000

ros-kinetic-gazebo-ros-control (2.5.20-1xenial) xenial; urgency=high



 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Fri, 08 May 2020 07:00:00 -0000

ros-kinetic-gazebo-ros-control (2.5.19-1xenial) xenial; urgency=high



 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Tue, 04 Jun 2019 07:00:00 -0000

ros-kinetic-gazebo-ros-control (2.5.18-1xenial) xenial; urgency=high

  * Add unified velocity hardware interface support for other physics engines except ODE
  * Add velocity interface support for bullet and dart physics engines
    (#790 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/790>)
  * Don't ignore robotNamespace (#637 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/637>)
    When creating the NodeHandle for reading the PID parameters, the model_nh was always ignored.
  * Add physics type for dart with joint velocity interface
  * Contributors: Jack Liu, Kevin Allen, Santiago Focke

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Wed, 23 Jan 2019 08:00:00 -0000

ros-kinetic-gazebo-ros-control (2.5.17-1xenial) xenial; urgency=high



 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Thu, 07 Jun 2018 07:00:00 -0000

ros-kinetic-gazebo-ros-control (2.5.16-1xenial) xenial; urgency=high

  * add physics type for dart with joint velocity interface (#693 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/693>)
  * Add warnings when the user is affected by gazebo not preserving world velocity when set positions (#691 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/691>)
    Issue #612 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/612>. Workaround at https://github.com/mintar/mimic_joint_gazebo_tutorial
  * Fix for preserving world velocity when set positions for Gazebo9: #612 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/612>
    This commit fixes #612 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/612>, but only for Gazebo9.
    Fixing it for Gazebo7 (the version used in ROS Kinetic) requires the
    following PR to be backported to Gazebo 7 and 8:
    https://bitbucket.org/osrf/gazebo/pull-requests/2814/fix-issue-2111-by-providing-options-to/diff
  * Contributors: Jack Liu, Martin Günther

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Mon, 04 Jun 2018 07:00:00 -0000

ros-kinetic-gazebo-ros-control (2.5.15-1xenial) xenial; urgency=high

  * Fix last gazebo8 warnings! (#658 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/658>)
  * Fix gazebo8 warnings part 7: ifdef's for Joint::GetAngle and some cleanup (#642 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/642>)
  * Contributors: Steven Peters

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Mon, 12 Feb 2018 08:00:00 -0000

ros-kinetic-gazebo-ros-control (2.5.14-1xenial) xenial; urgency=high

  * Replace Events::Disconnect* with pointer reset (#623 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/623>)
  * Contributors: Steven Peters

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Mon, 11 Dec 2017 08:00:00 -0000

ros-kinetic-gazebo-ros-control (2.5.13-1xenial) xenial; urgency=high

  * Less exciting console output (#561 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/561>)
  * Add catkin package(s) to provide the default version of Gazebo (#571 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/571>)
    * Added catkin package gazebo_dev which provides the cmake config of the installed Gazebo version
  * Contributors: Dave Coleman, Jose Luis Rivero

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Sat, 24 Jun 2017 07:00:00 -0000

ros-kinetic-gazebo-ros-control (2.5.12-1xenial) xenial; urgency=high

  * Fixed broken gazebo_ros_control tutorial link (#566 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/566>)
  * Contributors: Ian McMahon

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Tue, 25 Apr 2017 07:00:00 -0000

ros-kinetic-gazebo-ros-control (2.5.11-1xenial) xenial; urgency=high

  * Change build system to set DEPEND on Gazebo/SDFormat (fix catkin warning)
    Added missing DEPEND clauses to catkin_package to fix gazebo catkin warning. Note that after the change problems could appear related to -lpthreads errors. This is an known issue related to catkin: https://github.com/ros/catkin/issues/856.
  * Make gazebo_ros_control compatible with ros_control with respect to <hardwareInterface> tag (#550 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/550>)
    * ros_control expects "<hardwareInterface>hardware_interface/PositionJointInterface</hardwareInterface>", i.e. "hardware_interface/" prefix
    * add deprecation warning
    * improve warning
    * fix warning message fix
  * Contributors: Andreas Bihlmaier, Dave Coleman

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Tue, 18 Apr 2017 07:00:00 -0000

ros-kinetic-gazebo-ros-control (2.5.10-1xenial) xenial; urgency=high

  * Revert catkin warnings to fix regressions (problems with catkin -lpthreads errors)
    For reference and reasons, please check:
    https://discourse.ros.org/t/need-to-sync-new-release-of-rqt-topic-indigo-jade-kinetic/1410/4
    * Revert "Fix gazebo catkin warning, cleanup CMakeLists (#537 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/537>)"
    This reverts commit 5a0305fcb97864b66bc2e587fc0564435b4f2034.
    * Revert "Fix gazebo and sdformat catkin warnings"
    This reverts commit 11f95d25dcd32faccd2401d45c722f7794c7542c.
  * Contributors: Jose Luis Rivero

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Fri, 03 Mar 2017 08:00:00 -0000

ros-kinetic-gazebo-ros-control (2.5.9-1xenial) xenial; urgency=high

  * Fix gazebo catkin warning, cleanup CMakeLists (#537 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/537>)

