=== debian/control ===
Source: ros-kinetic-gazebo-ros-control
Section: misc
Priority: optional
Maintainer: Jose Luis Rivero <jrivero@osrfoundation.org>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-angles, ros-kinetic-catkin, ros-kinetic-control-toolbox, ros-kinetic-controller-manager, ros-kinetic-gazebo-dev, ros-kinetic-hardware-interface, ros-kinetic-joint-limits-interface, ros-kinetic-pluginlib, ros-kinetic-roscpp, ros-kinetic-std-msgs, ros-kinetic-transmission-interface, ros-kinetic-urdf
Homepage: http://ros.org/wiki/gazebo_ros_control
Standards-Version: 3.9.2

Package: ros-kinetic-gazebo-ros-control
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-angles, ros-kinetic-control-toolbox, ros-kinetic-controller-manager, ros-kinetic-gazebo-ros, ros-kinetic-hardware-interface, ros-kinetic-joint-limits-interface, ros-kinetic-pluginlib, ros-kinetic-roscpp, ros-kinetic-std-msgs, ros-kinetic-transmission-interface, ros-kinetic-urdf
Description: gazebo_ros_control
